%define rname compositing-wm
%define imgname mageia-top 
%define name %{rname}-common
%define version 2010.0
%define release %mkrel 7

Name: %name
Version: %version
Release: %release
Summary: Common tools for compositing window managers
Group: System/X11
URL: http://www.mandriva.com
Source0: %{rname}.xinit
Source1: %{rname}.sysconfig
Source2: %{rname}-start
Source3: %{imgname}.png
Source5: compiz-manager
License: GPLv2+
Requires: glxinfo
Requires: xvinfo

%description
This package contains tools for compositing window managers, such as
Compiz. This includes X session scripts, configuration files and
images.

%prep
%setup -q -c -T

%install
rm -rf %{buildroot}
install -D -m 0755 %SOURCE0 %{buildroot}%{_sysconfdir}/X11/xinit.d/40%{rname}
install -D -m 0644 %SOURCE1 %{buildroot}%{_sysconfdir}/sysconfig/%{rname}
install -D -m 0755 %SOURCE2 %{buildroot}%{_bindir}/%{rname}-start
install -D -m 0755 %SOURCE5 %{buildroot}%{_bindir}/compiz-manager
install -D -m 0644 %SOURCE3 %{buildroot}%{_datadir}/%{rname}/%{imgname}.png
perl -pi -e "s!__LIBDIR__!%{_libdir}!" %{buildroot}%{_bindir}/%{rname}-start



# Fix the paths in the compiz-manager script
sed -i "s|/usr/local|/usr|g" %{buildroot}%{_bindir}/compiz-manager
sed -i "s|/usr/bin|%{_bindir}|g" %{buildroot}%{_bindir}/compiz-manager
sed -i "s|/usr/lib|%{_libdir}|g" %{buildroot}%{_bindir}/compiz-manager

# And a default config to override some defaults
mkdir -p %{buildroot}%{_sysconfdir}/xdg/compiz
cat >%{buildroot}%{_sysconfdir}/xdg/compiz/compiz-manager <<EOF
# We start the decorator via compiz' decoration plugin so set it to "no" here.
START_DECORATOR="no"
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sysconfdir}/X11/xinit.d/*
%config(noreplace) %{_sysconfdir}/sysconfig/%{rname}
%config(noreplace) %{_sysconfdir}/xdg/compiz/compiz-manager
%{_bindir}/%{rname}-start
%{_bindir}/compiz-manager
%dir %{_datadir}/%{rname}
%{_datadir}/%{rname}/%{imgname}.png


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2010.0-7.mga3
+ Revision: 348109
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 22 2011 ahmad <ahmad> 2010.0-6.mga1
+ Revision: 100202
- Fix typo in compiz-manager from the previous commit, it's /usr/lib/xorg/extra-modules/
- Fix the sed command so that it replaces both occurances of /usr/lib/ when
  on one line

* Sat May 21 2011 ahmad <ahmad> 2010.0-5.mga1
+ Revision: 100079
- Robustify the XORG_DRIVER_PATH variable in compiz-manager, this should make
  it whitelist the nvidia-current driver (mga#1366)

* Tue May 17 2011 schultz <schultz> 2010.0-4.mga1
+ Revision: 99370
- Replace mandriva-top.png with mageia-top.png

* Mon Feb 28 2011 eandry <eandry> 2010.0-3.mga1
+ Revision: 61806
- clean spec

  + colin <colin>
    - imported package compositing-wm-common

